Get a webhook subscription
GET
/event-subscriptions/{id}
const url = 'https://app.surveyrock.com/api/v1/event-subscriptions/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://app.surveyrock.com/api/v1/event-subscriptions/example \ --header 'Authorization: Bearer <token>'The subscription’s configuration and health: status, consecutive_failures, last_success_at. A secret is never in this response.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Responses
Section titled “Responses”The subscription
subscription_not_found